Support

System requirements

To use HUGZ & Smackz, you need an iPhone with iOS 10 or later.